## net.i2p.router.tunnel.pool
Class BuildHandler

    java.lang.Object
      net.i2p.router.tunnel.pool.BuildHandler

     class BuildHandler

extends java.lang.Object

Constructor Summary
`BuildHandler(RouterContext ctx, BuildExecutor exec)`

Method Summary
`int` `getInboundBuildQueueSize()`
`(package private) void` `handleInboundReplies()`
`(package private) int` `handleInboundRequests()` Blocking call to handle a few of the pending inbound requests, returning how many requests remain after this pass

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BuildHandler

    public BuildHandler(RouterContext ctx,
                        BuildExecutor exec)

Method Detail

### handleInboundRequests

    int handleInboundRequests()

  Blocking call to handle a few of the pending inbound requests, returning how many requests remain after this pass

### handleInboundReplies

    void handleInboundReplies()

### getInboundBuildQueueSize

    public int getInboundBuildQueueSize()